import {CSSProperties, FC} from "react";
import {Button} from "@tarojs/components";
import styles from './myButton.module.scss'
import {ButtonProps} from "@tarojs/components/types/Button";

interface Props extends ButtonProps {
  fillet?: boolean
  loading?: boolean
}

const MyButton: FC<Props> = (props) => {

  const buttonStyle = (): CSSProperties => {
    const style: CSSProperties = {}
    switch (props.type) {
      case 'default':
        style.background = '#f5f8f7'
        break
      case 'warn':
        style.background = '#c94f4f'
        break
    }

    if (props.fillet) {
      style.borderRadius = '100px'
    }

    return style
  }

  return (
    <Button
      {...props}
      style={buttonStyle()}
      className={styles.Mybutton}>
      {props.children}
    </Button>
  )
}
export default MyButton
